中危 Red Hat libvirt 安全漏洞

CVE编号

CVE-2021-3631

利用情况

暂无

补丁情况

官方补丁

披露时间

2021-10-08
漏洞描述
Red Hat libvirt是美国红帽(Red Hat)公司的一个用于实现Linux虚拟化功能的Linux API,它支持各种Hypervisor,包括Xen和KVM,以及QEMU和用于其他操作系统的一些虚拟产品。

Red Hat libvirt 存在安全漏洞,攻击者可以通过libvirt绕过限制,以提升他在主机系统上的权限。
解决建议
目前厂商暂未发布修复措施解决此安全问题。
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 redhat libvirt * Up to
(excluding)
7.5.0
运行在以下环境
应用 redhat openshift_container_platform 4.8 -
运行在以下环境
系统 alpine_3.15 libvirt * Up to
(excluding)
7.5.0-r0
运行在以下环境
系统 alpine_3.16 libvirt * Up to
(excluding)
7.5.0-r0
运行在以下环境
系统 alpine_edge libvirt * Up to
(excluding)
7.5.0-r0
运行在以下环境
系统 debian_10 libvirt * Up to
(including)
5.0.0-4+deb10u1
运行在以下环境
系统 debian_11 libvirt * Up to
(including)
7.0.0-3
运行在以下环境
系统 debian_12 libvirt * Up to
(including)
7.6.0-1
运行在以下环境
系统 debian_9 libvirt * Up to
(including)
3.0.0-4+deb9u4
运行在以下环境
系统 debian_sid libvirt * Up to
(including)
7.6.0-1
运行在以下环境
系统 fedora_34 libvirt * Up to
(excluding)
7.0.0-6.fc34
运行在以下环境
系统 opensuse_Leap_15.2 libvirt * Up to
(excluding)
6.0.0-lp152.9.12.1
运行在以下环境
系统 opensuse_Leap_15.3 libvirt * Up to
(excluding)
7.1.0-6.5.1
运行在以下环境
系统 oracle_8 libvirt * Up to
(excluding)
6.0.0-37.0.1.module+el8.5.0+20363+3abb8f5b
运行在以下环境
系统 redhat enterprise_linux 8.0 -
运行在以下环境
系统 ubuntu_18.04 libvirt * Up to
(excluding)
4.0.0-1ubuntu8.21
运行在以下环境
系统 ubuntu_20.04 libvirt * Up to
(excluding)
6.0.0-0ubuntu8.16
运行在以下环境
系统 ubuntu_22.04 libvirt * Up to
(excluding)
7.6.0-0ubuntu3
阿里云评分
5.0
  • 攻击路径
    远程
  • 攻击复杂度
    容易
  • 权限要求
    普通权限
  • 影响范围
    越权影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-732 关键资源的不正确权限授予
阿里云安全产品覆盖情况